Skip to main content
POST
/
enrichments
Create enrichment job
curl -X POST https://api.example.com/enrichments \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
        "name": "Sample Upload",
        "operator": "OR",
        "columns": ["EMAIL", "FIRST_NAME", "LAST_NAME", "PHONE"],
        "records": [
          {
            "first_name": "Harper",
            "last_name": "Nguyen",
            "phone": "+12145550123",
            "email": "harper.nguyen@example.com"
          },
          {
            "first_name": "Liam",
            "last_name": "Carter",
            "phone": "+18305550987",
            "email": "liam.carter@example.com"
          }
        ]
      }'
{
  "jobId": "399e88c3-3263-4d9a-826c-437ef57f7b6c",
  "status": "IN_QUEUE"
}

Authorizations

X-Api-Key
string
header
required

Body

application/json
name
string
required
Example:

"Prospect Upload"

records
object[]
required
Example:
[
{
"first_name": "Ava",
"last_name": "Stone",
"phone": "+12145550123",
"email": "ava.stone@example.com"
},
{
"first_name": "Noah",
"last_name": "Reed",
"phone": "+18305559876",
"email": "noah.reed@example.com"
}
]
operator
enum<string>
default:OR
Available options:
AND,
OR
Example:

"OR"

columns
string[]

Optional explicit list of fields included in each record.

Accepted values

  • EMAIL
  • PERSONAL_EMAIL
  • BUSINESS_EMAIL
  • FIRST_NAME
  • LAST_NAME
  • PHONE
  • PERSONAL_ADDRESS
  • PERSONAL_CITY
  • PERSONAL_STATE
  • PERSONAL_ZIP
  • COMPANY_NAME
  • COMPANY_DOMAIN
  • COMPANY_INDUSTRY
  • SHA256_PERSONAL_EMAIL
  • LINKEDIN_URL
  • UP_ID
  • JOB_TITLE
Example:
["EMAIL", "FIRST_NAME", "LAST_NAME", "PHONE"]

Response

Enrichment job accepted

jobId
string
Example:

"399e88c3-3263-4d9a-826c-437ef57f7b6c"

status
string
Example:

"IN_QUEUE"